Class EditBody
java.lang.Object
org.codelibs.fess.app.web.admin.scheduler.CreateForm
org.codelibs.fess.app.web.admin.scheduler.EditForm
org.codelibs.fess.app.web.api.admin.scheduler.EditBody
Request body class for scheduler edit operations in the admin REST API.
This class extends EditForm to inherit the necessary form validation and binding capabilities
for scheduler management operations.
-
Field Summary
FieldsModifier and TypeFieldDescriptionFlag indicating whether the scheduler job is currently running.Fields inherited from class org.codelibs.fess.app.web.admin.scheduler.CreateForm
available, crawler, createdBy, createdTime, cronExpression, crudMode, jobLogging, name, scriptData, scriptType, sortOrder, target -
Constructor Summary
Constructors -
Method Summary
Methods inherited from class org.codelibs.fess.app.web.admin.scheduler.CreateForm
initialize
-
Field Details
-
running
Flag indicating whether the scheduler job is currently running.
-
-
Constructor Details
-
EditBody
public EditBody()Default constructor.
-